Skip to main content
Get Commercial VRP Consent Details
curl --request GET \
  --url https://api.yapily.com/variable-recurring-payments/commercial/consents/{consentId} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.yapily.com/variable-recurring-payments/commercial/consents/{consentId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.yapily.com/variable-recurring-payments/commercial/consents/{consentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "tracingId": "12345678901234567890123456789012"
  },
  "data": {
    "id": "00000000-0000-0000-0000-000000000000",
    "userUuid": "00000000-0000-0000-0000-000000000000",
    "institutionId": "mock-sandbox",
    "status": "AUTHORIZED",
    "createdAt": "2026-01-01T00:00:00Z",
    "authorizedAt": "2026-01-01T00:00:00.000Z",
    "featureScope": [
      "EXISTING_PAYMENTS_DETAILS",
      "EXISTING_PAYMENT_INITIATION_DETAILS",
      "CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_COMMERCIAL",
      "VARIABLE_RECURRING_PAYMENT_FUNDS_CONFIRMATION",
      "INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_COMMERCIAL"
    ],
    "consentToken": "...",
    "state": "...",
    "institutionConsentId": "...",
    "controlParameters": {
      "psuAuthenticationMethods": [
        "SCA_NOT_REQUIRED"
      ],
      "maxAmountPerPayment": {
        "amount": 10,
        "currency": "GBP"
      },
      "periodicLimits": [
        {
          "frequency": "MONTHLY",
          "alignment": "CONSENT",
          "totalMaxAmount": {
            "amount": 50,
            "currency": "GBP"
          }
        }
      ],
      "validFrom": "2026-01-01T00:00:00.000Z",
      "validTo": "2027-02-02T11:59:59.000Z"
    },
    "initiationDetails": {
      "reference": "Own Account Commercial",
      "payee": {
        "name": "Payee",
        "accountIdentifications": [
          {
            "type": "ACCOUNT_NUMBER",
            "identification": "12345678"
          },
          {
            "type": "SORT_CODE",
            "identification": "112233"
          }
        ]
      },
      "payer": {
        "name": "Payer",
        "accountIdentifications": [
          {
            "type": "ACCOUNT_NUMBER",
            "identification": "87654321"
          },
          {
            "type": "SORT_CODE",
            "identification": "332211"
          }
        ]
      }
    },
    "riskDetails": {
      "paymentContextCode": "TransferToThirdParty",
      "paymentPurposeCode": "OTHR",
      "categoryPurposeCode": "OTHR",
      "merchantCustomerId": "00000000-0000-0000-0000-000000000000",
      "isContractPresent": false,
      "isPayeePrepopulated": false,
      "payeeAccountType": "Personal"
    }
  }
}
{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 401,
"status": "UNAUTHORIZED",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "CREDENTIALS",
"code": "CREDENTIALS_MISSING",
"message": "Authentication header not present"
}
]
}
}
{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 400,
"status": "BAD_REQUEST",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "BAD_REQUEST",
"code": "BAD_REQUEST",
"message": "The server could not understand the request due to invalid syntax"
}
]
}
}

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.

Path Parameters

The Consent ID to retrieve.

Response

OK

meta
object
data
object
forwardedData
object[]
raw
object[]
deprecated